Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge webkitgtk fails [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
polle
Veteran
Veteran


Joined: 28 Feb 2003
Posts: 1498
Location: Belgium

PostPosted: Tue Jun 03, 2008 6:36 pm    Post subject: emerge webkitgtk fails [solved] Reply with quote

I'm trying to emerge midori webbrowser via sunrise overlay, when I try to emerge webkitgtk I get this error:
Code:
DASHBOARD_SUPPORT=1 -DENABLE_VIDEO=1 -DENABLE_XPATH=1 -DENABLE_XSLT=1 -I./JavaScriptCore -I./JavaScriptCore/ForwardingHeaders -I./JavaScriptCore/wtf -I./JavaScriptCore/kjs -I./DerivedSources -I./JavaScriptCore/ForwardingHeaders -I./JavaScriptCore/wtf/unicode -I./JavaScriptCore/pcre -I./JavaScriptCore/kjs -I./WebKit/gtk/webkit -DBUILDING_CAIRO__=1 -DBUILD_WEBKIT -I./WebCore/platform/gtk -I./WebCore/platform/graphics/gtk -I./WebCore/platform/graphics/cairo -I./WebCore/loader/gtk -I./WebCore/page/gtk -I./WebKit/gtk -I./WebKit/gtk/WebCoreSupport -I./WebKit/gtk/webkit -DUSE_FREETYPE=1 -fno-strict-aliasing -fvisibility-inlines-hidden -fno-rtti -Wall -W -Wcast-align -Wchar-subscripts -Wreturn-type -Wformat -Wformat-security -Wno-format-y2k -Wundef -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings -Wno-unused-parameter -Wno-parentheses -fno-exceptions -fvisibility=hidden -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -D_REENTRANT -I/usr/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libxml2 -pthread -DORBIT2=1 -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/libxml2 -O2 -march=athlon64 -pipe -ftracer -MT WebKit/gtk/WebCoreSupport/libwebkit_1_0_la-ChromeClientGtk.lo -MD -MP -MF WebKit/gtk/WebCoreSupport/.deps/libwebkit_1_0_la-ChromeClientGtk.Tpo -c WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp  -fPIC -DPIC -o WebKit/gtk/WebCoreSupport/.libs/libwebkit_1_0_la-ChromeClientGtk.o
WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp:33:29: fout: DatabaseTracker.h: Bestand of map bestaat niet
WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp: In member function 'virtual void WebKit::ChromeClient::exceededDatabaseQuota(WebCore::Frame*, const WebCore::String&)':
WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp:318: fout: 'DatabaseTracker' has not been declared
make[1]: *** [WebKit/gtk/WebCoreSupport/libwebkit_1_0_la-ChromeClientGtk.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
mv -f JavaScriptCore/kjs/.deps/libJavaScriptCore_la-AllInOneFile.Tpo JavaScriptCore/kjs/.deps/libJavaScriptCore_la-AllInOneFile.Plo
make[1]: Leaving directory `/var/tmp/portage/net-libs/webkitgtk-33431/work/WebKit-r33431'
make: *** [all] Error 2
 *
 * ERROR: net-libs/webkitgtk-33431 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2865:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-libs/webkitgtk-33431/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkitgtk-33431/temp/environment'.
 *


Last edited by polle on Fri Jun 06, 2008 8:13 am; edited 1 time in total
Back to top
View user's profile Send private message
Sadako
Advocate
Advocate


Joined: 05 Aug 2004
Posts: 3789
Location: sleeping in the bathtub

PostPosted: Tue Jun 03, 2008 8:49 pm    Post subject: Reply with quote

I've been getting the same for weeks, apparently it can't be compiled without database/sqlite support...

It should compile fine with the sqlite USE flag enabled, though.
_________________
"You have to invite me in"
Back to top
View user's profile Send private message
polle
Veteran
Veteran


Joined: 28 Feb 2003
Posts: 1498
Location: Belgium

PostPosted: Wed Jun 04, 2008 7:40 am    Post subject: Reply with quote

tried with sqlite flag enabled, but now I get another error:
Code:
mat-y2k -Wundef -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings -Wno-unused-parameter -Wno-parentheses -fno-exceptions-fvisibility=hidden -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -D_REENTRANT -I/usr/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libxml2 -pthread -DORBIT2=1 -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/libxml2 -O2 -march=athlon64 -pipe -ftracer -MT WebCore/platform/text/libwebkit_1_0_la-TextBoundariesICU.lo -MD -MP -MF WebCore/platform/text/.deps/libwebkit_1_0_la-TextBoundariesICU.Tpo -c WebCore/platform/text/TextBoundariesICU.cpp  -fPIC -DPIC -o WebCore/platform/text/.libs/libwebkit_1_0_la-TextBoundariesICU.o
WebCore/platform/text/TextBoundariesICU.cpp: In function 'int WebCore::findNextWordFromIndex(const UChar*, int, int, bool)':
WebCore/platform/text/TextBoundariesICU.cpp:38: fout: cannot convert 'WebCore::TextBreakIterator*' to 'void**' in initialization
WebCore/platform/text/TextBoundariesICU.cpp: In function 'void WebCore::findWordBoundary(const UChar*, int, int, int*, int*)':
WebCore/platform/text/TextBoundariesICU.cpp:69: fout: cannot convert 'WebCore::TextBreakIterator*' to 'void**' in initialization
make[1]: *** [WebCore/platform/text/libwebkit_1_0_la-TextBoundariesICU.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
mv -f WebCore/platform/text/.deps/libwebkit_1_0_la-TextCodecICU.Tpo WebCore/platform/text/.deps/libwebkit_1_0_la-TextCodecICU.Plo
make[1]: Leaving directory `/var/tmp/portage/net-libs/webkitgtk-33431/work/WebKit-r33431'
make: *** [all] Error 2
 *
 * ERROR: net-libs/webkitgtk-33431 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2865:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-libs/webkitgtk-33431/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkitgtk-33431/temp/environment'.
Back to top
View user's profile Send private message
theDOC_23
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2004
Posts: 121
Location: Aachen, GER

PostPosted: Wed Jun 04, 2008 9:42 am    Post subject: Reply with quote

I renamed the ebuild to a current nightly version, webkitgtk-34318.ebuild, compiled fine yesterday.
Back to top
View user's profile Send private message
polle
Veteran
Veteran


Joined: 28 Feb 2003
Posts: 1498
Location: Belgium

PostPosted: Thu Jun 05, 2008 5:23 pm    Post subject: Reply with quote

can you give some more information about how to compile the version you mentioned? thanks
Back to top
View user's profile Send private message
polle
Veteran
Veteran


Joined: 28 Feb 2003
Posts: 1498
Location: Belgium

PostPosted: Fri Jun 06, 2008 8:18 am    Post subject: Reply with quote

it's solved but it is strange to me:
when I tried to emerge "midori" it pulled "webkitgtk" as a dependency, only this no other packages.
when i tried an emerge -up webkitgtk this time emerge wanted to emerge three additional packages: dev-libs/icu gnome-common and gnome-vfs, so I tried this time to try emerge webkitgtk in stead of emerge midori, after emerging the three additional packages webkitgtk emerged without problems, and after that I emerged also midori without any problem
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Tue Nov 25, 2008 6:39 pm    Post subject: Reply with quote

Because of a depency of PyQT4 in relation to KDE-4.2 I got the same error.

https://bugs.gentoo.org/show_bug.cgi?id=246518

Downgrade to bison-2.3 did it.
Back to top
View user's profile Send private message
frostschutz
Advocate
Advocate


Joined: 22 Feb 2005
Posts: 2971
Location: Germany

PostPosted: Fri Nov 28, 2008 4:18 pm    Post subject: Reply with quote

Thanks for the bison hint. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum